Macro If Selected Stay If Not Then Delete

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro If Selected Stay If Not Then Delete and the translation is 67% complete.
Outdated translations are marked like this.
Other languages:
English • ‎français • ‎italiano • ‎polski • ‎русский

Macro If Selected Stay If Not Then Delete.png Macro If Selected Stay If Not Then Delete

Descrizione
Questa macro cancella gli obietti non selezionati.

Versione macro: 00.01
Ultima modifica: 2015-11-12
Versione FreeCAD: All
Download: ToolBar Icon
Autore: Mario52
Autore
Mario52
Download
ToolBar Icon
Link
Versione macro
00.01
Data ultima modifica
2015-11-12
Versioni di FreeCAD
All
Scorciatoia
Nessuna
Vedere anche
Macro Toggle Visibility2 1-2
Macro Toggle Visibility2 2-2
Macro_Toggle_Visibility
Macro HiddenAlls
Macro_VisibleAlls

Descrizione

Questa macro cancella gli obietti non selezionati.

Script

ToolBar Icon Macro If Selected Stay If Not Then Delete.png

Macro_If_Selected_Stay_If_Not_Then_Delete.FCMacro

import FreeCAD
# Macro_If_Selected_Stay_If_Not_Then_Delete
__title__="Macro_If_Selected_Stay_If_Not_Then_Delete"
__author__ = "Mario52"
__url__     = "http://www.freecadweb.org/index-fr.html"
__version__ = "00.00"
__date__    = "16/06/2016"

App = FreeCAD
try:
    for ShapeNameObj in FreeCAD.ActiveDocument.Objects:
        if Gui.Selection.isSelected(ShapeNameObj) == True:
            None
        else:
            App.ActiveDocument.removeObject(ShapeNameObj.Name)        # remove objects not selecteds
except Exception:
    None